LibreOffice: BridgeSupplier Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | List of all members
BridgeSupplier Service Reference

maps UNO types to oleautomation types and vice versa. More...

`import"BridgeSupplier.idl";`

Inheritance diagram for BridgeSupplier:

## Exported Interfaces
interface | com::sun::star::bridge::XBridgeSupplier2

## Additional Inherited Members
Public Member Functions inherited from XBridgeSupplier2
any | createBridge ([in] any aModelDepObject, [in] sequence< byte > aProcessId, [in] short nSourceModelType, [in] short nDestModelType) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a bridge to provide an object of one object model with another. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

maps UNO types to oleautomation types and vice versa.

The function com::sun::star::bridge::XBridgeSupplier2::createBridge() maps a value of a UNO or Automation type to the desired target type. If a UNO interface was mapped to `IDispatch`, then all objects (interfaces, structs) and other types which are obtained from that Automation object are automatically mapped to the corresponding Automation types. Hence, if one provides an initial object which forms the root of all other objects, such as a service manager, then only that object needs to be explicitly mapped by a call to com::sun::star::bridge::XBridgeSupplier2::createBridge(). The same holds true if an automation object is mapped to a UNO interface.

For Automation objects to be mapped they have to implement `IDispatch` interface. Other COM interfaces, except for `IUnknown`, are not supported. UNO interfaces and structs are mapped to `IDispatch`.

The service implements the com::sun::star::bridge::XBridgeSupplier2 interface and handles the model types com::sun::star::bridge::ModelDependent::UNO and com::sun::star::bridge::ModelDependent::OLE. The service does not specify any requirements for registering OLE objects and class factories.

Developers Guide
  ProUNO - Bridge - The Bridge Services

## Exported Interfaces

## ◆ com::sun::star::bridge::XBridgeSupplier2

interface com::sun::star::bridge::XBridgeSupplier2

The documentation for this service was generated from the following file:

- com/sun/star/bridge/oleautomation/BridgeSupplier.idl